<?php 
include("includes/inc-config.php");

include("includes/inc-header.php");
include("includes/inc-fonctions.php");
//include("includes/inc-traitement-document.php");

if(isset($_POST['image_confirmer'])){
    $titre=$_POST['recit_titre'];
    $auteur=$_POST['recit_auteur'];
    $image=$_POST['image_choisie'];
    $dossier_zine=$_POST['dossier_zine'];

    // bouger l'image dans son espace définitif
    $fi=pathinfo($image);
    rename(CHEMIN.$image, CHEMIN.DOSSIER_COURANT."/".$dossier_zine."/".$fi['basename']);

    include(CHEMIN."includes/Spyc.php");
    include(CHEMIN."includes/yaml-readwriteclass.php");
    $zine=new yamlreadwrite();
    $infos=array(
        "titre" => $titre,
        "auteur" => $auteur,
        "image" => $image
    );
    $fi=pathinfo($infos['image']);
    $zine->source=CHEMIN.DOSSIER_COURANT."/".$dossier_zine."/".$fi['filename'].".yaml";
    $message=$zine->yamlwrite($infos);
}

?>
<main id="main" class="container-fluid px-4">
    <div class="row my-4">
        <div class="col-12">
            <div class="border border-primary translucide rounded p-4">
                <h3>C'est fait!</h3>

                <div class="mb-4">
                    <?php
                    if($message){
                        echo "Votre image a été ajoutée aux propositions";
                    } else {
                        echo "Il y a eu un Problème lors de l'ajout";
                    }
                    ?>
                </div>
                <div class="mb-4">
                    <div class='mb-3'><a href="participer.php?zine=<?= $dossier_zine; ?>" class="btn btn-sm btn-primary text-light">Ajouter une autre image</a>
                    </div>
                    <div class='mb-3'>
                        <a href="./" class="btn btn-sm btn-primary text-light">Revenir à la page d'entrée</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>

<?php 
include("includes/inc-footer.php");
?>
